Subject: Re: insight debugger locks up
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Fri, 14 Nov 2003 15:44:40 -0500

lol,

Weird.  It appears it is a kbhit problem.  For some reason even on that line way
up top, if I just press a key on the console screen from the debugger, the
program continues.  But stepping through appears to be messed up.  I have to put
breakpoints everywhere.

Is there some incompatibility with stepping through code and kbhit.

Yamin

Quoting [email-masked]:

> 
> 
> Hi all,
> 
> i'm using the insight debugger from the lastest cygwin package.  It seems to
> be
> locking up when trying to step through code.  The following program isolates
> the
> issue on my system
> 
> ******************************************************
> #include <io.h>
> #include <stdio.h>
> #include  <fcntl.h>
> #include <sys/stat.h>
> #include <conio.h>
> 
> int main()
> {
>    int handle;
>    handle= creat("hello.txt", 0);
>    if (handle == -1)
>    {
>       printf("Unable to creat file hello.txt\r\n");
>    }
> 
>    write(handle, "Hello\r\n",7);
>    close(handle);
> 
>    handle= open("hello.txt", O_RDWR|O_BINARY, S_IREAD | S_IWRITE);
>    if (handle == -1)
>    {
>       printf("Unable to open file hello.txt\r\n");
>    }
>    write(handle, "urdum\r\n",7);
>    close(handle);
> 
>   while(1)
>  {
> 	char c = kbhit();
>        if(c)
>        {
>             c = getch();
>             char buffer[12];
>             buffer[0] = c;
>             buffer[1] = '\0';
>             printf(buffer);
>             break;
>        }
>         
>  }
> }
> 
> 
> Compile line:
> 
> g++ -g -mno-cygwin -isystemC:/cygwin/usr/include/mingw -o main.exe  main.cpp
> ******************************************************
> What I do:
> Start the insight debugger.  Use Next (not even step into).  Stepping over
> this
> line:  handle= creat("hello.txt", 0); causes a lockup of insight.  Yet, I
> get
> the printfs:
> 
> printf("Unable to creat file hello.txt\r\n");
> printf("Unable to open file hello.txt\r\n").
> 
> My problem first arose after trying out kbhit, which locks up.  Then I went
> to
> my little file test program and it has the same problem.
> Any ideas?
> 
> Yamin
> 
> ----------------------------------------
> This mail sent through www.mywaterloo.ca
> 

----------------------------------------
This mail sent through www.mywaterloo.ca

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/